#!/usr/bin/env ruby
# 
# convert from panda template.c

require "panda"

demo = Panda::PDF.new("template.pdf", "w")

# Create a page
templatePage = demo.newtemplate(Panda::A4)
templatePage.setfillcolor(112, 138, 37);
templatePage.setlinewidth(5)
templatePage.setlinestart(0, 0)
templatePage.addlinesegment(594, 841)
templatePage.addlinesegment(0, 841)
templatePage.closeline()
templatePage.fillline()
templatePage.endline()

currPage = Panda::Page.new(demo, Panda::A4)
demo.applytemplate(currPage, templatePage)
